import os
import imageio

PATH = 'sample2_neuron/'
list_files = os.listdir(PATH)

image_list = []
for filename in list_files:
    image = imageio.imread(PATH + filename)
    image_list.append(image)

def gif_build(gif_name='default', image_list=image_list):
    # Build GIF
    with imageio.get_writer('GIFs/' + gif_name + '.gif', mode='I') as writer:
        for image in image_list:
            writer.append_data(image)

if __name__ == "__main__":
    gif_build()